#!/bin/env python2
# -*- coding: utf-8 -*-

import os
import sys

import yaml
import omnijson

from converter.mappings import toId, toBlock

def convertItems (items):

    converted = {}

    for item in items:
        typeslot = item.split(";")[0].split(":")
        properties = [property.split(":") for property in item.split(";")[1:]]

        details = {"==": "org.bukkit.inventory.ItemStack"}
        details["type"] = toBlock(typeslot[2])


        for property in properties:

            if property[0] == "d":
                details["damage"] = int(property[1])
            elif property[0] == "#":
                details["amount"] = int(property[1])
            elif property[0] == "e":

                if not details.has_key("meta"):
                    details["meta"] = {
                        "==": "ItemMeta",
                        "meta-type": "UNSPECIFIC",
                        "enchants": {property[1]: property[2]}
                    }
                else:
                    details["meta"]["enchants"][property[1]] = property[2]

        converted[typeslot[0]] = details

    return converted

def convertProfile (profile):

    converted = {}
    for key, value in profile.items():

        if value == "":
            converted[key] = {}
            continue

        if key == "armorContents":
            converted[key] = convertItems(value.split("/"))
        elif key == "enderChestContents":
            converted[key] = convertItems(value.split("/"))
        elif key == "inventoryContents":
            converted[key] = convertItems(value.split("/"))
        elif key == "potions":
            converted[key] = convertItems(value.split("/"))
        elif key == "bedSpawnLocation":
            converted[key] = flatConvert(value.split(";"))
        elif key == "stats":
            converted[key] = flatConvert(value.split(";"))

    return converted

def flatConvert (data):
    return dict([tuple(item.split(":")) for item in data])

if __name__ == "__main__":

    if len(sys.argv) != 2:
        print sys.argv[0]+" filename.yml"
    file = sys.argv[1]

    contents = open(file, "r").read()
    converted = {}

    try:
        source = yaml.load(contents)
        for profile in source.keys():
            converted[profile] = convertProfile(source[profile])
    except yaml.scanner.ScannerError, e:
        print "error: "+e
        sys.exit(1)

    open(file.replace(".yml", ".json"), "w").write(omnijson.dumps(converted))